Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class STATS

    java.lang.Object
      org.jgroups.stack.Protocol
          org.jgroups.protocols.STATS

    public class STATS

extends Protocol

Provides various stats

Author:
  Bela Ban

Field Summary

Fields inherited from class org.jgroups.stack.Protocol
`down_prot, ergonomics, id, log, name, stack, stats, up_prot`

Constructor Summary
`STATS()`

Method Summary
`java.lang.Object` | `down(Event evt)` An event is to be sent down the stack.
`long` | `getReceivedBytes()`
`long` | `getReceivedMcastBytes()`
`long` | `getReceivedMcastMessages()`
`long` | `getReceivedMessages()`
`long` | `getReceivedUnicastBytes()`
`long` | `getReceivedUnicastMessages()`
`long` | `getSentBytes()`
`long` | `getSentMcastBytes()`
`long` | `getSentMcastMessages()`
`long` | `getSentMessages()`
`long` | `getSentUnicastBytes()`
`long` | `getSentUnicastMessages()`
`java.lang.String` | `printStats()`
`void` | `resetStats()`
`java.lang.Object` | `up(Event evt)` An event was received from the layer below.

Methods inherited from class org.jgroups.stack.Protocol
`destroy, downThreadEnabled, dumpStats, enableStats, getConfigurableObjects, getDownProtocol, getId, getLevel, getName, getProperties, getProtocolStack, getSocketFactory, getThreadFactory, getTransport, getUpProtocol, getValue, init, isErgonomics, providedDownServices, providedUpServices, requiredDownServices, requiredUpServices, setDownProtocol, setErgonomics, setId, setLevel, setProperties, setPropertiesInternal, setProperty, setProtocolStack, setSocketFactory, setUpProtocol, setValue, setValues, start, statsEnabled, stop, upThreadEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STATS

    public STATS()

Method Detail

### resetStats

    public void resetStats()

  Overrides:
    `resetStats` in class `Protocol`

### getSentMessages

    public long getSentMessages()

### getSentBytes

    public long getSentBytes()

### getSentUnicastMessages

    public long getSentUnicastMessages()

### getSentUnicastBytes

    public long getSentUnicastBytes()

### getSentMcastMessages

    public long getSentMcastMessages()

### getSentMcastBytes

    public long getSentMcastBytes()

### getReceivedMessages

    public long getReceivedMessages()

### getReceivedBytes

    public long getReceivedBytes()

### getReceivedUnicastMessages

    public long getReceivedUnicastMessages()

### getReceivedUnicastBytes

    public long getReceivedUnicastBytes()

### getReceivedMcastMessages

    public long getReceivedMcastMessages()

### getReceivedMcastBytes

    public long getReceivedMcastBytes()

### up

    public java.lang.Object up(Event evt)

  Description copied from class: `Protocol`
  An event was received from the layer below. Usually the current layer will want to examine the event type and - depending on its type - perform some computation (e.g. removing headers from a MSG event type, or updating the internal membership list when receiving a VIEW_CHANGE event). Finally the event is either a) discarded, or b) an event is sent down the stack using `down_prot.down()` or c) the event (or another event) is sent up the stack using `up_prot.up()`.

  Overrides:
    `up` in class `Protocol`

### down

    public java.lang.Object down(Event evt)

  Description copied from class: `Protocol`
  An event is to be sent down the stack. The layer may want to examine its type and perform some action on it, depending on the event's type. If the event is a message MSG, then the layer may need to add a header to it (or do nothing at all) before sending it down the stack using `down_prot.down()`. In case of a GET_ADDRESS event (which tries to retrieve the stack's address from one of the bottom layers), the layer may need to send a new response event back up the stack using `up_prot.up()`.

  Overrides:
    `down` in class `Protocol`

### printStats

    public java.lang.String printStats()

  Overrides:
    `printStats` in class `Protocol`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.